# RabbitMQ stuff
services:
    wallabag_import.consumer.amqp.pocket:
        class: Wallabag\ImportBundle\Consumer\AMQPEntryConsumer
        arguments:
            - "@doctrine.orm.entity_manager"
            - "@wallabag_user.user_repository"
            - "@wallabag_import.pocket.import"
            - "@event_dispatcher"
            - "@logger"
    wallabag_import.consumer.amqp.readability:
        class: Wallabag\ImportBundle\Consumer\AMQPEntryConsumer
        arguments:
            - "@doctrine.orm.entity_manager"
            - "@wallabag_user.user_repository"
            - "@wallabag_import.readability.import"
            - "@event_dispatcher"
            - "@logger"
    wallabag_import.consumer.amqp.instapaper:
        class: Wallabag\ImportBundle\Consumer\AMQPEntryConsumer
        arguments:
            - "@doctrine.orm.entity_manager"
            - "@wallabag_user.user_repository"
            - "@wallabag_import.instapaper.import"
            - "@event_dispatcher"
            - "@logger"
    wallabag_import.consumer.amqp.pinboard:
        class: Wallabag\ImportBundle\Consumer\AMQPEntryConsumer
        arguments:
            - "@doctrine.orm.entity_manager"
            - "@wallabag_user.user_repository"
            - "@wallabag_import.pinboard.import"
            - "@event_dispatcher"
            - "@logger"
    wallabag_import.consumer.amqp.wallabag_v1:
        class: Wallabag\ImportBundle\Consumer\AMQPEntryConsumer
        arguments:
            - "@doctrine.orm.entity_manager"
            - "@wallabag_user.user_repository"
            - "@wallabag_import.wallabag_v1.import"
            - "@event_dispatcher"
            - "@logger"
    wallabag_import.consumer.amqp.wallabag_v2:
        class: Wallabag\ImportBundle\Consumer\AMQPEntryConsumer
        arguments:
            - "@doctrine.orm.entity_manager"
            - "@wallabag_user.user_repository"
            - "@wallabag_import.wallabag_v2.import"
            - "@event_dispatcher"
            - "@logger"
    wallabag_import.consumer.amqp.elcurator:
        class: Wallabag\ImportBundle\Consumer\AMQPEntryConsumer
        arguments:
            - "@doctrine.orm.entity_manager"
            - "@wallabag_user.user_repository"
            - "@wallabag_import.elcurator.import"
            - "@event_dispatcher"
            - "@logger"
    wallabag_import.consumer.amqp.firefox:
        class: Wallabag\ImportBundle\Consumer\AMQPEntryConsumer
        arguments:
            - "@doctrine.orm.entity_manager"
            - "@wallabag_user.user_repository"
            - "@wallabag_import.firefox.import"
            - "@event_dispatcher"
            - "@logger"
    wallabag_import.consumer.amqp.chrome:
        class: Wallabag\ImportBundle\Consumer\AMQPEntryConsumer
        arguments:
            - "@doctrine.orm.entity_manager"
            - "@wallabag_user.user_repository"
            - "@wallabag_import.chrome.import"
            - "@event_dispatcher"
            - "@logger"
